Skip to main content

supervisor-agents command group

note

Databricks CLI use is subject to the Databricks License and Databricks Privacy Notice, including any Usage Data provisions.

Beta

This feature is in Beta. Workspace admins can control access to this feature from the Previews page. See Manage Databricks previews.

The supervisor-agents command group within the Databricks CLI allows you to manage Supervisor Agents and related resources.

databricks supervisor-agents create-example

Create an example for a Supervisor Agent.

databricks supervisor-agents create-example PARENT QUESTION GUIDELINES [flags]

Arguments

PARENT

    Parent resource where this example will be created. Format: supervisor-agents/{supervisor_agent_id}

QUESTION

    The example question.

GUIDELINES

    Guidelines for answering the question.

Options

--json JSON

    The inline JSON string or the @path to the JSON file with the request body.

--name string

    Full resource name: supervisor-agents/{supervisor_agent_id}/examples/{example_id}.

Global flags

databricks supervisor-agents create-supervisor-agent

Create a Supervisor Agent.

databricks supervisor-agents create-supervisor-agent DISPLAY_NAME [flags]

Arguments

DISPLAY_NAME

    The display name of the Supervisor Agent, unique at workspace level.

Options

--description string

    Description of what this agent can do (user-facing).

--instructions string

    Optional natural-language instructions for the supervisor agent.

--json JSON

    The inline JSON string or the @path to the JSON file with the request body.

--name string

    The resource name of the SupervisorAgent.

Global flags

databricks supervisor-agents create-tool

Create a Tool.

databricks supervisor-agents create-tool PARENT TOOL_ID TOOL_TYPE [flags]

Arguments

PARENT

    Parent resource where this tool will be created. Format: supervisor-agents/{supervisor_agent_id}

TOOL_ID

    The ID to use for the tool, which will become the final component of the tool's resource name.

TOOL_TYPE

    Tool type. Must be one of: genie_space, knowledge_assistant, uc_function, uc_connection, uc_mcp, app, volume, dashboard, serving_endpoint, table, vector_search_index, catalog, schema, supervisor_agent, databricks_web_search, skill. The legacy values lakeview_dashboard, uc_table, and web_search are also accepted and remain equivalent to dashboard, table, and databricks_web_search respectively.

Options

--description string

    Description of what this tool does (user-facing).

--json JSON

    The inline JSON string or the @path to the JSON file with the request body.

--name string

    Full resource name: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}.

Global flags

databricks supervisor-agents delete-example

Delete an example from a Supervisor Agent.

databricks supervisor-agents delete-example NAME [flags]

Arguments

NAME

    The resource name of the example to delete. Format: supervisor-agents/{supervisor_agent_id}/examples/{example_id}

Global flags

databricks supervisor-agents delete-supervisor-agent

Delete a Supervisor Agent.

databricks supervisor-agents delete-supervisor-agent NAME [flags]

Arguments

NAME

    The resource name of the Supervisor Agent. Format: supervisor-agents/{supervisor_agent_id}

Global flags

databricks supervisor-agents delete-tool

Delete a Tool.

databricks supervisor-agents delete-tool NAME [flags]

Arguments

NAME

    The resource name of the Tool. Format: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}

Global flags

databricks supervisor-agents get-example

Get an example from a Supervisor Agent.

databricks supervisor-agents get-example NAME [flags]

Arguments

NAME

    The resource name of the example. Format: supervisor-agents/{supervisor_agent_id}/examples/{example_id}

Global flags

databricks supervisor-agents get-permission-levels

Get supervisor agent permission levels.

databricks supervisor-agents get-permission-levels SUPERVISOR_AGENT_ID [flags]

Arguments

SUPERVISOR_AGENT_ID

    The supervisor agent for which to get or manage permissions.

Global flags

databricks supervisor-agents get-permissions

Get supervisor agent permissions.

databricks supervisor-agents get-permissions SUPERVISOR_AGENT_ID [flags]

Arguments

SUPERVISOR_AGENT_ID

    The supervisor agent for which to get or manage permissions.

Global flags

databricks supervisor-agents get-supervisor-agent

Get a Supervisor Agent.

databricks supervisor-agents get-supervisor-agent NAME [flags]

Arguments

NAME

    The resource name of the Supervisor Agent. Format: supervisor-agents/{supervisor_agent_id}

Global flags

databricks supervisor-agents get-tool

Get a Tool.

databricks supervisor-agents get-tool NAME [flags]

Arguments

NAME

    The resource name of the Tool. Format: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}

Global flags

databricks supervisor-agents list-examples

List examples for a Supervisor Agent.

databricks supervisor-agents list-examples PARENT [flags]

Arguments

PARENT

    Parent resource to list from. Format: supervisor-agents/{supervisor_agent_id}

Options

--limit int

    Maximum number of results to return.

--page-size int

    The maximum number of examples to return.

Global flags

databricks supervisor-agents list-supervisor-agents

List Supervisor Agents.

databricks supervisor-agents list-supervisor-agents [flags]

Options

--limit int

    Maximum number of results to return.

--page-size int

    The maximum number of supervisor agents to return.

Global flags

databricks supervisor-agents list-tools

List Tools.

databricks supervisor-agents list-tools PARENT [flags]

Arguments

PARENT

    Parent resource to list from. Format: supervisor-agents/{supervisor_agent_id}

Options

--limit int

    Maximum number of results to return.

--page-size int

    The maximum number of tools to return.

Global flags

databricks supervisor-agents set-permissions

Set supervisor agent permissions.

databricks supervisor-agents set-permissions SUPERVISOR_AGENT_ID [flags]

Arguments

SUPERVISOR_AGENT_ID

    The supervisor agent for which to get or manage permissions.

Options

--json JSON

    The inline JSON string or the @path to the JSON file with the request body.

Global flags

databricks supervisor-agents update-example

Update an example in a Supervisor Agent.

databricks supervisor-agents update-example NAME UPDATE_MASK QUESTION GUIDELINES [flags]

Arguments

NAME

    The resource name of the example to update. Format: supervisor-agents/{supervisor_agent_id}/examples/{example_id}

UPDATE_MASK

    Comma-delimited list of fields to update on the example. Allowed values: question, guidelines.

QUESTION

    The example question.

GUIDELINES

    Guidelines for answering the question.

Options

--json JSON

    The inline JSON string or the @path to the JSON file with the request body.

--name string

    Full resource name: supervisor-agents/{supervisor_agent_id}/examples/{example_id}.

Global flags

databricks supervisor-agents update-permissions

Update supervisor agent permissions.

databricks supervisor-agents update-permissions SUPERVISOR_AGENT_ID [flags]

Arguments

SUPERVISOR_AGENT_ID

    The supervisor agent for which to get or manage permissions.

Options

--json JSON

    The inline JSON string or the @path to the JSON file with the request body.

Global flags

databricks supervisor-agents update-supervisor-agent

Update a Supervisor Agent.

databricks supervisor-agents update-supervisor-agent NAME UPDATE_MASK DISPLAY_NAME [flags]

Arguments

NAME

    The resource name of the SupervisorAgent. Format: supervisor-agents/{supervisor_agent_id}

UPDATE_MASK

    Field mask for fields to be updated.

DISPLAY_NAME

    The display name of the Supervisor Agent, unique at workspace level.

Options

--description string

    Description of what this agent can do (user-facing).

--instructions string

    Optional natural-language instructions for the supervisor agent.

--json JSON

    The inline JSON string or the @path to the JSON file with the request body.

--name string

    The resource name of the SupervisorAgent.

Global flags

databricks supervisor-agents update-tool

Update a Tool.

databricks supervisor-agents update-tool NAME UPDATE_MASK TOOL_TYPE [flags]

Arguments

NAME

    Full resource name: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}

UPDATE_MASK

    Field mask for fields to be updated.

TOOL_TYPE

    Tool type. Must be one of: genie_space, knowledge_assistant, uc_function, uc_connection, uc_mcp, app, volume, dashboard, serving_endpoint, table, vector_search_index, catalog, schema, supervisor_agent, databricks_web_search, skill. The legacy values lakeview_dashboard, uc_table, and web_search are also accepted and remain equivalent to dashboard, table, and databricks_web_search respectively.

Options

--description string

    Description of what this tool does (user-facing).

--json JSON

    The inline JSON string or the @path to the JSON file with the request body.

--name string

    Full resource name: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}.

Global flags

Global flags

--debug

  Whether to enable debug logging.

-h or --help

    Display help for the Databricks CLI or the related command group or the related command.

--log-file string

    A string representing the file to write output logs to. If this flag is not specified then the default is to write output logs to stderr.

--log-format format

    The log format type, text or json. The default value is text.

--log-level string

    A string representing the log format level. If not specified then the log format level is disabled.

-o, --output type

    The command output type, text or json. The default value is text.

-p, --profile string

    The name of the profile in the ~/.databrickscfg file to use to run the command. If this flag is not specified then if it exists, the profile named DEFAULT is used.

--progress-format format

    The format to display progress logs: default, append, inplace, or json

-t, --target string

    If applicable, the bundle target to use